﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        body { font-family: Arial; font-size: 10pt; }
        table { border: 1px solid #ccc; border-collapse: collapse; }
        table th { background-color: #F7F7F7; color: #333; font-weight: bold; }
        table th, table td { padding: 5px; border: 1px solid #ccc; }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <asp:Table ID="tblCustomers" runat="server">
            <asp:TableHeaderRow>
                <asp:TableHeaderCell>Customer Id</asp:TableHeaderCell>
                <asp:TableHeaderCell>Name</asp:TableHeaderCell>
                <asp:TableHeaderCell>Country</asp:TableHeaderCell>
            </asp:TableHeaderRow>
            <asp:TableRow>
                <asp:TableCell>1</asp:TableCell>
                <asp:TableCell>John Hammond</asp:TableCell>
                <asp:TableCell>United States</asp:TableCell>
            </asp:TableRow>
            <asp:TableRow>
                <asp:TableCell>2</asp:TableCell>
                <asp:TableCell>Mudassar Khan</asp:TableCell>
                <asp:TableCell>India</asp:TableCell>
            </asp:TableRow>
            <asp:TableRow>
                <asp:TableCell>3</asp:TableCell>
                <asp:TableCell>Suzanne Mathews</asp:TableCell>
                <asp:TableCell>France</asp:TableCell>
            </asp:TableRow>
            <asp:TableRow>
                <asp:TableCell>4</asp:TableCell>
                <asp:TableCell>Robert Schidner</asp:TableCell>
                <asp:TableCell>Russia</asp:TableCell>
            </asp:TableRow>
        </asp:Table>
        <br />
        <asp:Button ID="btnExport" Text="Export" runat="server" OnClientClick="return Export();" />
    </form>
    <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
    <script type="text/javascript" src="Scripts/table2excel.js"></script>
    <script type="text/javascript">
        function Export() {
            $("[id*=tblCustomers]").table2excel({
                filename: "Table.xls"
            });
            return false;
        }
    </script>
</body>
</html>
